Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11792)
@@ -485,10 +595,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="SysAreaRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/SysAreaRight" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="RightAligned" />
@@ -496,24 +614,27 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="NewTitlebarLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="SleekSpace" image="SysAreaRight" dimension="Width">
-                                    <DimOperator op="Add">
-                                        <ImageDim imageset="SleekSpace" image="SysAreaMiddle" dimension="Width">
-                                            <DimOperator op="Add">
-                                                <ImageDim imageset="SleekSpace" image="NewTitlebarRight" dimension="Width" />
-                                            </DimOperator>
-                                        </ImageDim>
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="NewTitlebarMiddle" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="SleekSpace/NewTitlebarLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="SleekSpace/SysAreaRight" />
+                                <OperatorDim op="Add">
+                                    <ImageDim dimension="Width" name="SleekSpace/SysAreaMiddle" />
+                                    <ImageDim dimension="Width" name="SleekSpace/NewTitlebarRight" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/NewTitlebarMiddle" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -523,8 +644,16 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="NewTitlebarLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" offset="-75" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="SleekSpace/NewTitlebarLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim offset="-75" scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ColourProperty name="CaptionColour" />
@@ -547,40 +676,36 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="caption">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/FrameWindow
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/FrameWindow">
-        <Property name="NSSizingCursorImage" value="set:SleekSpace image:MouseNoSoCursor" />
-        <Property name="EWSizingCursorImage" value="set:SleekSpace image:MouseEsWeCursor" />
-        <Property name="NWSESizingCursorImage" value="set:SleekSpace image:MouseNwSeCursor" />
-        <Property name="NESWSizingCursorImage" value="set:SleekSpace image:MouseNeSwCursor" />
+        <Property name="NSSizingCursorImage" value="SleekSpace/MouseNoSoCursor" />
+        <Property name="EWSizingCursorImage" value="SleekSpace/MouseEsWeCursor" />
+        <Property name="NWSESizingCursorImage" value="SleekSpace/MouseNwSeCursor" />
+        <Property name="NESWSizingCursorImage" value="SleekSpace/MouseNeSwCursor" />
         <NamedArea name="ClientWithTitleWithFrame">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="WindowTopLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="WindowTopRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="WindowBottomEdge" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/WindowTopLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/WindowTopRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="SleekSpace/WindowBottomEdge" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -588,27 +713,37 @@
         <NamedArea name="ClientWithTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="BottomEdge" ><WidgetDim dimension="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <WidgetDim dimension="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ClientNoTitleWithFrame">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="WindowTopLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="WindowTopEdge" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="WindowTopRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="WindowBottomEdge" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/WindowTopLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="SleekSpace/WindowTopEdge" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/WindowTopRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="SleekSpace/WindowBottomEdge" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -616,70 +751,93 @@
         <NamedArea name="ClientNoTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child type="SleekSpace/Titlebar" nameSuffix="__auto_titlebar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><FontDim type="LineSpacing" padding="8" /></Dim>
+        <Child nameSuffix="__auto_titlebar__" type="SleekSpace/Titlebar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <FontDim padding="8" type="LineSpacing" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="False" />
         </Child>
-        <Child type="SleekSpace/SystemButton" nameSuffix="__auto_closebutton__">
-            <Area>
-                <Dim type="LeftEdge" >
-                    <UnifiedDim scale="1" type="LeftEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="SysAreaRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="SleekSpace" image="SysAreaMiddle" dimension="Width" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0.5">
-                        <DimOperator op="Multiply">
-                            <WidgetDim widget="__auto_titlebar__" dimension="Height">
-                                <DimOperator op="Subtract">
-                    <AbsoluteDim value="-2">
-                       <DimOperator op="Add">
-                                    <ImageDim imageset="SleekSpace" image="NewCloseButtonNormal" dimension="Height" />
-                        </DimOperator>
-                    </AbsoluteDim>
-                                </DimOperator>
-                            </WidgetDim>
-                        </DimOperator>
-                    </AbsoluteDim>
-                </Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="NewCloseButtonNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="SleekSpace" image="NewCloseButtonNormal" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_closebutton__" type="SleekSpace/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="LeftEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="SleekSpace/SysAreaRight" />
+                            <ImageDim dimension="Width" name="SleekSpace/SysAreaMiddle" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <AbsoluteDim value="0.5" />
+                        <OperatorDim op="Subtract">
+                            <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                            <OperatorDim op="Add">
+                                <AbsoluteDim value="-2" />
+                                <ImageDim dimension="Height" name="SleekSpace/NewCloseButtonNormal" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/NewCloseButtonNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="SleekSpace/NewCloseButtonNormal" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="True" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:NewCloseButtonNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:NewCloseButtonHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:NewCloseButtonPressed" />
+            <Property name="NormalImage" value="SleekSpace/NewCloseButtonNormal" />
+            <Property name="HoverImage" value="SleekSpace/NewCloseButtonHover" />
+            <Property name="PushedImage" value="SleekSpace/NewCloseButtonPressed" />
         </Child>
         <ImagerySection name="withtitle_frame">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="WindowBottomLeft" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="WindowBottomRight" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="WindowLeftEdge" />
-                <Image type="RightEdge" imageset="SleekSpace" image="WindowRightEdge" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="WindowBottomEdge" />
-                <Image type="Background" imageset="SleekSpace" image="ClientBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="BottomLeftCorner" name="SleekSpace/WindowBottomLeft" />
+                <Image component="BottomRightCorner" name="SleekSpace/WindowBottomRight" />
+                <Image component="LeftEdge" name="SleekSpace/WindowLeftEdge" />
+                <Image component="RightEdge" name="SleekSpace/WindowRightEdge" />
+                <Image component="BottomEdge" name="SleekSpace/WindowBottomEdge" />
+                <Image component="Background" name="SleekSpace/ClientBrush" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Tiled" />
@@ -689,17 +847,25 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="SleekSpace" image="WindowTopLeft" />
-                <Image type="TopRightCorner" imageset="SleekSpace" image="WindowTopRight" />
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="WindowBottomLeft" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="WindowBottomRight" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="WindowLeftEdge" />
-                <Image type="RightEdge" imageset="SleekSpace" image="WindowRightEdge" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="WindowBottomEdge" />
-                <Image type="Background" imageset="SleekSpace" image="ClientBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="SleekSpace/WindowTopLeft" />
+                <Image component="TopRightCorner" name="SleekSpace/WindowTopRight" />
+                <Image component="BottomLeftCorner" name="SleekSpace/WindowBottomLeft" />
+                <Image component="BottomRightCorner" name="SleekSpace/WindowBottomRight" />
+                <Image component="LeftEdge" name="SleekSpace/WindowLeftEdge" />
+                <Image component="RightEdge" name="SleekSpace/WindowRightEdge" />
+                <Image component="BottomEdge" name="SleekSpace/WindowBottomEdge" />
+                <Image component="Background" name="SleekSpace/ClientBrush" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Tiled" />
@@ -709,10 +875,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="Height" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="ClientBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/ClientBrush" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Tiled" />
@@ -722,10 +896,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="ClientBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/ClientBrush" />
                 <VertFormat type="Tiled" />
                 <HorzFormat type="Tiled" />
@@ -745,5 +927,5 @@
             <Layer>
                 <Section section="withtitle_frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -762,5 +944,5 @@
             <Layer>
                 <Section section="withtitle_noframe_client_area">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -779,5 +961,5 @@
             <Layer>
                 <Section section="notitle_frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -796,28 +978,27 @@
             <Layer>
                 <Section section="notitle_noframe_client_area">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/ProgressBar
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/ProgressBar">
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="ProgressBarLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="ProgressBarRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><ImageDim imageset="SleekSpace" image="ProgressBarLeft" dimension="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/ProgressBarLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/ProgressBarRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Height" name="SleekSpace/ProgressBarLeft" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -825,23 +1006,39 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><ImageDim imageset="SleekSpace" image="ProgressBarLeft" dimension="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="SleekSpace" image="ProgressBarLeft" />
-                <Image type="RightEdge" imageset="SleekSpace" image="ProgressBarRight" />
-                <Image type="Background" imageset="SleekSpace" image="ProgressBarMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <ImageDim dimension="Height" name="SleekSpace/ProgressBarLeft" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="SleekSpace/ProgressBarLeft" />
+                <Image component="RightEdge" name="SleekSpace/ProgressBarRight" />
+                <Image component="Background" name="SleekSpace/ProgressBarMiddle" />
             </FrameComponent>
         </ImagerySection>
-        <ImagerySection name="progress_lights" >
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="ProgressBarLitSegment" />
+        <ImagerySection name="progress_lights">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/ProgressBarLitSegment" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="Tiled" />
@@ -856,5 +1053,5 @@
             <Layer>
                 <Section section="frame">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
